Use openmax_dl on all ARM (v7 or higher) platforms.

openmax_dl now works on non-Android ARM, but it still requires
arm_version >= 7, and doesn't work on iOS at all.

TEST=Chromium build for a ChromeOS ARM device passes.
BUG=chromium:415393
R=turaj@webrtc.org

Review URL: https://webrtc-codereview.appspot.com/25829004

git-svn-id: http://webrtc.googlecode.com/svn/trunk@7402 4adac7df-926f-26a2-2b94-8c16560cd09d
diff --git a/webrtc/build/common.gypi b/webrtc/build/common.gypi
index c5ba41f..18b3383 100644
--- a/webrtc/build/common.gypi
+++ b/webrtc/build/common.gypi
@@ -155,9 +155,7 @@
       ['target_arch=="arm" or target_arch=="armv7"', {
         'prefer_fixed_point%': 1,
       }],
-      # TODO(ajm): Workaround until openmax_dl has non-Android ARM support.
-      # See: crbug.com/415393
-      ['OS!="ios" and (target_arch!="arm" or OS=="android")', {
+      ['OS!="ios" and (target_arch!="arm" or arm_version>=7)', {
         'rtc_use_openmax_dl%': 1,
       }, {
         'rtc_use_openmax_dl%': 0,
diff --git a/webrtc/build/webrtc.gni b/webrtc/build/webrtc.gni
index e0f6924..0f10c0c 100644
--- a/webrtc/build/webrtc.gni
+++ b/webrtc/build/webrtc.gni
@@ -103,9 +103,7 @@
     rtc_prefer_fixed_point = true
   }
 
-  # TODO(ajm): Workaround until openmax_dl has non-Android ARM support.
-  # See: crbug.com/415393
-  if (!is_ios && (cpu_arch != "arm" || is_android)) {
+  if (!is_ios && (cpu_arch != "arm" || arm_version >= 7)) {
     rtc_use_openmax_dl = true
   } else {
     rtc_use_openmax_dl = false